summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ronny Schmatzler2012-05-05 18:19:25 +0200
committer Erik Hanson2012-05-07 19:18:08 +0200
commitbcc1d7273ebed7054743705761951419a71943c9 (patch)
tree4aa31cb1b59d5fa0fb1897bcb100b211fe4bfcaf
parentd08a7189aefbfe1d3b72eb3b038bcfcd0e8d6a5c (diff)
downloadslackbuilds-bcc1d7273ebed7054743705761951419a71943c9.tar.gz
network/pidgin-authorization-blocker: Added (Block unwanted request)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--network/pidgin-authorization-blocker/README3
-rw-r--r--network/pidgin-authorization-blocker/pidgin-authorization-blocker.SlackBuild83
-rw-r--r--network/pidgin-authorization-blocker/pidgin-authorization-blocker.info10
-rw-r--r--network/pidgin-authorization-blocker/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/network/pidgin-authorization-blocker/README b/network/pidgin-authorization-blocker/README
new file mode 100644
index 0000000000..9d051f81e5
--- /dev/null
+++ b/network/pidgin-authorization-blocker/README
@@ -0,0 +1,3 @@
+The plugin blocks the first authorization request of a contact
+and answers with the order to ask for authorization again.
+This helps to prevent spam on ICQ accounts.
diff --git a/network/pidgin-authorization-blocker/pidgin-authorization-blocker.SlackBuild b/network/pidgin-authorization-blocker/pidgin-authorization-blocker.SlackBuild
new file mode 100644
index 0000000000..a3845b9c59
--- /dev/null
+++ b/network/pidgin-authorization-blocker/pidgin-authorization-blocker.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for pidgin-authorization-blocker
+
+# Written by Ronny Schmatzler <schmatzler@hirnschwund.net>
+
+# Based on http://slackbuilds.org/template.SlackBuild
+
+PRGNAM=pidgin-authorization-blocker
+VERSION=${VERSION:-1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README COPYING NEWS INSTALL \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/pidgin-authorization-blocker/pidgin-authorization-blocker.info b/network/pidgin-authorization-blocker/pidgin-authorization-blocker.info
new file mode 100644
index 0000000000..ce4fb6ea5a
--- /dev/null
+++ b/network/pidgin-authorization-blocker/pidgin-authorization-blocker.info
@@ -0,0 +1,10 @@
+PRGNAM="pidgin-authorization-blocker"
+VERSION="1.1"
+HOMEPAGE="https://launchpad.net/pidgin-authorization-blocker"
+DOWNLOAD="https://launchpad.net/pidgin-authorization-blocker/trunk/1.1/+download/pidgin-authorization-blocker-1.1.tar.gz"
+MD5SUM="cff5ef7ca8f769b02356e1f3d0386ada"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Ronny Schmatzler"
+EMAIL="schmatzler@hirnschwund.net"
+APPROVED="dsomero"
diff --git a/network/pidgin-authorization-blocker/slack-desc b/network/pidgin-authorization-blocker/slack-desc
new file mode 100644
index 0000000000..e369a9af3d
--- /dev/null
+++ b/network/pidgin-authorization-blocker/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pidgin-authorization-blocker: pidgin-authorization-blocker (Blocks unwanted authorization request)
+pidgin-authorization-blocker:
+pidgin-authorization-blocker: The plugin blocks the first authorization request of a contact and
+pidgin-authorization-blocker: answers with the order to ask for authorization again. This helps
+pidgin-authorization-blocker: to prevent spam on ICQ accounts.
+pidgin-authorization-blocker:
+pidgin-authorization-blocker: Homepage: https://launchpad.net/pidgin-authorization-blocker
+pidgin-authorization-blocker:
+pidgin-authorization-blocker:
+pidgin-authorization-blocker:
+pidgin-authorization-blocker: